Page MenuHomePhabricator

contact Wikivoyage e. V. and figure out status of wikivoyage-old.org / fix or park broken domain
Closed, ResolvedPublic

Description

per IRC chat with bblack on -traffic.

  • currently wikivoyage-old.org is broken, it used to point to wikivoyage before it was moved to WMF
  • wikivoyage-ev.org is the German "eingetragener Verein" that used to run Wikivoyage, that is their own site
  • contact the e.v. (Roland, Fussi) and figure out what to do with it
  • either fix or park the -old domain.
<bblack> probably the simplest thing to do would be to make it a softlink to wikivoyage.org like wikivoyage.de is, if whomever is ok with it (but it's broken now, so it's not like it would be any worse)
<bblack> and maybe add it to redirects and make it a non-canonical later or whatever

Event Timeline

Dzahn created this task.Apr 2 2019, 12:38 PM
Restricted Application added a project: Operations. · View Herald TranscriptApr 2 2019, 12:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Peachey88 updated the task description. (Show Details)Apr 2 2019, 12:58 PM
ema moved this task from Triage to DNS Names on the Traffic board.Apr 3 2019, 12:52 PM
Dzahn triaged this task as Normal priority.Apr 3 2019, 1:02 PM
 cat wikivoyage-old.org 
; vim: set expandtab:smarttab
@           1D  IN SOA  ns0.wikimedia.org.  hostmaster.wikimedia.org.   (
                    {{ serial }}
                    12H     ; refresh
                    2H      ; retry
                    2W      ; expiry
                    1H      ; negative cache TTL
                    )

; Name servers

            1D  IN NS   ns0.wikimedia.org.
            1D  IN NS   ns1.wikimedia.org.
            1D  IN NS   ns2.wikimedia.org.

; Mail exchangers
            1H  IN MX   10  mx1001.wikimedia.org.
            1H  IN MX   50  mx2001.wikimedia.org.

; Canonical names

            1H  IN A    188.40.41.16

; servers

america     1H  IN A    5.9.71.41
asia        1H  IN A    188.40.41.16

; services

www         1H      IN CNAME    asia
mail        1H      IN A        188.40.41.16

; projects / special

arch        1H  IN CNAME    asia
assoc       1H  IN CNAME    asia
blog        1H  IN CNAME    asia
dumps       1H  IN CNAME    asia
general     1H  IN CNAME    asia
hist        1H  IN CNAME    asia
shared      1H  IN CNAME    asia
svn         1H  IN CNAME    asia
tech        1H  IN CNAME    asia
testing     1H  IN CNAME    asia
wts         1H  IN CNAME    america

; wikis / languages

de          1H  IN CNAME    asia
en          1H  IN CNAME    america
es          1H  IN CNAME    america
fi          1H  IN CNAME    america
fr          1H  IN CNAME    america
hu          1H  IN CNAME    america
it          1H  IN CNAME    asia
ja          1H  IN CNAME    america
nl          1H  IN CNAME    america
pl          1H  IN CNAME    america
pt          1H  IN CNAME    america
ro          1H  IN CNAME    america
ru          1H  IN CNAME    america
sv          1H  IN CNAME    america
zh          1H  IN CNAME    america

Change 500978 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] park wikivoyage-old.org

https://gerrit.wikimedia.org/r/500978

Dzahn added a subscriber: DerFussi.Apr 4 2019, 11:26 AM

wikivoyage-old.org was used only at the transfer process of the Wikivoyage domains from the servers of the Wikivoyage association to that of the Wikimedia Foundation to have a copy for comparison. According to a agreement with the Foundation we closed wikivoyage-old.org at the beginning of 2013 to prevent double content on the internet.

wikivoyage-old.org can be deactivated.

Dzahn added a comment.Apr 4 2019, 3:28 PM

Thanks for the confirmation @RolandUnger . Appreciate it and will remove it.

Dzahn updated the task description. (Show Details)Apr 4 2019, 3:29 PM
Dzahn added a comment.Apr 4 2019, 3:32 PM

@RolandUnger @DerFussi Just to make sure, this also includes the email aliases we once setup for you and Hans. You all still have firstname@ and firstname.lastname@wikivoyage-old.org to forward to your wikivoyage-ev.org addresses. Going to remove those too.

Change 501340 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] exim: remove wikivoyage-old.org as a wikimedia email domain

https://gerrit.wikimedia.org/r/501340

Change 501340 merged by Dzahn:
[operations/puppet@production] exim: remove wikivoyage-old.org as a wikimedia email domain

https://gerrit.wikimedia.org/r/501340

Yes, this should also include email aliases. The wikivoyage-ev.org addresses are working upto now. The @wikivoyage.org should be preserved.

Dzahn added a comment.Apr 4 2019, 3:45 PM

Ack, removing wikivoyage-old.org for email and web, not touching wikivoyage.org in any way.

wikivoyage.de shows up in list of email domains but we did no have aliases, so i guess that one never worked and can also be cleaned up.

Change 500978 merged by Dzahn:
[operations/dns@master] park wikivoyage-old.org

https://gerrit.wikimedia.org/r/500978

Mentioned in SAL (#wikimedia-operations) [2019-04-04T15:59:37Z] <mutante> wikivoyage-old.org domain has been retired and deactivated (T219867, T81727)

Change 501527 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] exim: remove wikivoyage.de from wikimedia_domains

https://gerrit.wikimedia.org/r/501527

Change 501527 abandoned by Dzahn:
exim: remove wikivoyage.de from wikimedia_domains

Reason:
it's linked to wikivoyage.org

https://gerrit.wikimedia.org/r/501527

Dzahn closed this task as Resolved.Apr 5 2019, 11:31 AM
RhinosF1 removed a subscriber: RhinosF1.Apr 5 2019, 11:44 AM